Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 51)
@@ -0,0 +1,769 @@
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Collections;
+using System.Diagnostics;
+using System.Threading;
+
+using log4net;
+using log4net.Appender;
+using log4net.Repository.Hierarchy;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.DB.Core;
+using ProcessManagement.Forms.SubForms;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+//*--------------------- セキュリティ区分マスタメンテ画面 ---------------------*
+//  2016/11/11  Ver1.0.0.0      Create Source           
+//
+//
+//
+//*----------------------------------------------------------------------------*
+namespace ProcessManagement.Forms.Master
+{
+    public partial class FrmSecurity : Form
+    {
+        #region 使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        #region グリッド固定ラム
+        /// <summary>
+        /// グリッド固定ラム
+        /// </summary>
+        private enum GridColumn
+        {
+            No = 0,
+            SecCode,
+            SecName,
+        }
+        #endregion
+
+        #region 行選択色
+        /// <summary>
+        /// 行選択色
+        /// </summary>
+        private static Color s_RowSelectColor = Color.GreenYellow;
+        #endregion
+
+        #region デフォルトタイトル色
+        /// <summary>
+        /// デフォルトタイトル色
+        /// </summary>
+        private static Color[] s_DefaultColor = new Color[] { Color.LightBlue, Color.LightPink };
+        #endregion
+
+        #region カラムヘッダー行定義
+        /// <summary>
+        /// カラムヘッダー行定義
+        /// </summary>
+        private static int s_HeaderRows = 3;
+        #endregion
+
+        #region チェックボックスセル幅
+        /// <summary>
+        /// チェックボックスセル幅
+        /// </summary>
+        private static int s_CheckCellWidth = 80;
+        #endregion
+
+        #region タイトル行数
+        /// <summary>
+        /// タイトル行数
+        /// </summary>
+        private static int s_TitleRowCnt = 5;
+        #endregion
+
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// フィールド値変化フラグ
+        /// </summary>
+        private bool m_bChengeAns = false;
+
+        /// <summary>
+        /// 保護区分マスタリスト
+        /// </summary>
+        private List<SecurityMaster> m_SecMasterList = new List<SecurityMaster>();
+        /// <summary>
+        ///  追加チェックボックス
+        /// </summary>
+        private List<DataGridViewCheckBoxColumn> m_CheckBox = new List<DataGridViewCheckBoxColumn>();
+        /// <summary>
+        ///  追加セルスタイル
+        /// </summary>
+        private List<DataGridViewCellStyle> m_CellStyle = new List<DataGridViewCellStyle>();
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+        #endregion
+
+        #region プロパティ
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+        #endregion
+
+        #region コンストラクタ
+        public FrmSecurity()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmSecurity()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// 初期フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSecurity_Load(object sender, EventArgs e)
+        {
+            dgvProcess.ColumnHeadersHeight = dgvProcess.ColumnHeadersHeight * (s_HeaderRows + 1);
+            
+            // グリッドデータ表示
+            DispSecurityGridData();
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
+
+            // フラグ初期化
+            m_bChengeAns = false;
+        }
+        #endregion
+
+        #region ×ボタン押下
+        /// <summary>
+        /// ×ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSecurity_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            if (m_bChengeAns)
+            {
+                if (MessageBox.Show("データに変更があります、登録せずに終了してよろしいですか？。", "終了確認"
+                                , MessageBoxButtons.YesNo, MessageBoxIcon.Warning) == DialogResult.No)
+                {
+                    e.Cancel = true;
+                    return;
+                }
+            }
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 終了ボタン
+        /// <summary>
+        /// 終了ボタンクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEnd_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region 新規セキュリティ区分登録ボタン
+        /// <summary>
+        /// 新規セキュリティ区分登録ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnNewDataEntry_Click(object sender, EventArgs e)
+        {
+            FrmSecurityPerson frm = new FrmSecurityPerson();
+            try
+            {
+                frm.NewData = true;
+                frm.ShowDialog();
+                if (frm.EndButton == System.Windows.Forms.DialogResult.Cancel) return;
+
+                // グリッドデータ表示
+                DispSecurityGridData();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region セキュリティ区分編集登録ボタン
+        /// <summary>
+        /// セキュリティ区分編集登録ボタン
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataSelectEdit_Click(object sender, EventArgs e)
+        {
+            FrmSecurityPerson frm = new FrmSecurityPerson();
+            try
+            {
+                DataGridView dgv = dgvProcess;
+                DataGridViewCell CurCell = dgv.CurrentCell;
+                int DataColCnt = (CurCell.ColumnIndex - ((int)GridColumn.SecName + 1)) / (int)GridColumn.SecName;
+                if (DataColCnt < 0)
+                {
+                    MessageBox.Show("選択データがありません。", "選択確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+                
+                frm.secRec = m_SecMasterList[DataColCnt];
+                frm.ShowDialog();
+
+                if (frm.EndButton == System.Windows.Forms.DialogResult.Cancel) return;
+
+                // グリッドデータ表示
+                DispSecurityGridData();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region 区分削除ボタン
+        /// <summary>
+        /// 区分削除ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataDelete_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                // 変更フラグチェック
+                if (m_bChengeAns)
+                {
+                    if (MessageBox.Show("編集中のデータがあります、破棄してもよろしいでしょうか。", "編集中破棄確認"
+                            , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
+
+                    //データチェック
+                    if (!DispFeildCheck()) return;
+
+                    // データ登録
+                    if (!SecurityMasterDataEntry()) return;
+                }
+
+                DataGridView dgv = dgvProcess;
+                DataGridViewCell Curcell = dgv.CurrentCell;
+                int CurCnt = Curcell.ColumnIndex;
+                if (CurCnt < 3)
+                {
+                    MessageBox.Show("データが選択されていません。", "削除確認", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                    return;
+                }
+                CurCnt -= 3;
+                if ((CurCnt % 2) != 0) --CurCnt;
+                CurCnt /= 2;
+                //--CurCnt;
+                string msg = string.Format("選択されたセキュリティ区分名:{0}を削除します。", m_SecMasterList[CurCnt].SecName);
+                if (MessageBox.Show(msg, "削除確認", MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
+
+                // 区分データの使用チェック
+                if (!UseCheck())
+                {
+                    if (MessageBox.Show("選択されたセキュリティ区分が\n担当者マスタで使用されています！\n削除してもよろしいですか？", "削除確認"
+                        , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
+                }
+
+                // データ削除
+                if (!SecurityMasterDataRemove()) return;
+
+                CommonMotions.RemoveEndMessage("セキュリティ区分データ");
+
+                // グリッドデータ表示
+                DispSecurityGridData();
+
+                // 変更フラグクリア
+                m_bChengeAns = false;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region キーダウン
+        /// <summary>
+        /// Entryキーでの移動処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSecurity_KeyDown(object sender, KeyEventArgs e)
+        {
+            //Enterキーが押されているか確認
+            //AltかCtrlキーが押されている時は無視する
+            if ((e.KeyCode == Keys.Enter) && !e.Alt && !e.Control)
+            {
+                //あたかもTabキーが押されたかのようにする
+                //Shiftが押されている時は前のコントロールにフォーカスを移動
+                this.ProcessTabKey(!e.Shift);
+
+                e.Handled = true;
+                //.NET Framework 2.0以降
+                e.SuppressKeyPress = true;
+            }
+        }
+        #endregion
+
+        #region フィールド値変更
+        /// <summary>
+        /// フィールド値変更フラグ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void valueChange(object sender, EventArgs e)
+        {
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region 登録ボタン
+        /// <summary>
+        /// 登録ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDataEntry_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                //データチェック
+                if (!DispFeildCheck()) return;
+
+                if (MessageBox.Show("表示中のデータを登録します。", "登録確認"
+                        , MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes) return;
+
+                // データ登録
+                if (!SecurityMasterDataEntry()) return;
+
+                // 変更データメモリセット
+                SetMemTable();
+
+                CommonMotions.EntryEndMessage("セキュリティ区分データ");
+
+                // 変更フラグクリア
+                m_bChengeAns = false;
+                this.Close();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region グリッドスクロール
+        /// <summary>
+        /// グリッドスクロール
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvProcess_Scroll(object sender, ScrollEventArgs e)
+        {
+            dgvProcess.Invalidate();
+        }
+        #endregion
+
+        #region グリッド描画
+        /// <summary>
+        /// グリッド描画
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvProcess_Paint(object sender, PaintEventArgs e)
+        {
+            // グリッドの描画
+            GridPaint(sender, e);
+        }
+        #endregion
+
+        #region グリッドヘッダーカラム描画
+        /// <summary>
+        /// グリッドヘッダーカラム描画
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvProcess_CellPainting(object sender, DataGridViewCellPaintingEventArgs e)
+        {
+            try
+            {
+                // ヘッダー以外は処理なし
+                if (e.RowIndex > -1) return;
+
+                //// 標準ヘッダーの描画
+                GridCellPainting(sender, e);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ヘッダセル結合処理
+        /// <summary>
+        /// ヘッダセル結合処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        /// <param name="columns"></param>
+        /// <param name="headerText"></param>
+        private void JoinGridHeader(object sender, DataGridViewCellPaintingEventArgs e, List<DataGridViewColumn> columns, string headerText)
+        {
+            try
+            {
+                //指定した列を結合する
+                // セルの矩形を取得
+                Rectangle rect = e.CellBounds;
+                //rect.X += 1;
+                //rect.Y += 1;
+                rect.Height -= 1;
+
+                DataGridView dgv = (DataGridView)sender;
+
+                rect.Width = 0;
+
+                // 結合する列の幅を取得して、足す
+                foreach (DataGridViewColumn col in columns)
+                {
+                    rect.Width += col.Width;
+
+                    if (e.ColumnIndex > col.Index)
+                    {
+                        // 矩形の位置を補正
+                        rect.X -= col.Width;
+                    }
+                }
+
+                // 背景、枠線、セルの値を描画
+                using (SolidBrush brush = new SolidBrush(this.dgvProcess.ColumnHeadersDefaultCellStyle.BackColor))
+                using (Brush gridBrush = new SolidBrush(this.dgvProcess.GridColor))
+                using (Pen pen = new Pen(dgv.GridColor))
+                {
+                    // Erase the cell.
+                    e.Graphics.FillRectangle(brush, e.CellBounds);
+
+                    // 背景の描画
+                    e.Graphics.FillRectangle(brush, rect);
+
+                    // 枠線の描画
+                    e.Graphics.DrawRectangle(pen, rect);
+
+                    //// Draw the grid lines (only the right and bottom lines;
+                    //// DataGridView takes care of the others).
+                    //e.Graphics.DrawLine(pen, e.CellBounds.Left,
+                    //    e.CellBounds.Bottom - 1, e.CellBounds.Right - 1,
+                    //    e.CellBounds.Bottom - 1);
+                    //e.Graphics.DrawLine(pen, e.CellBounds.Right - 1,
+                    //    e.CellBounds.Top, e.CellBounds.Right - 1,
+                    //    e.CellBounds.Bottom);
+
+                }
+
+                // セルに表示するテキストを描画
+                TextRenderer.DrawText(e.Graphics,
+                                headerText,
+                                e.CellStyle.Font,
+                                rect,
+                                e.CellStyle.ForeColor,
+                                TextFormatFlags.HorizontalCenter | TextFormatFlags.VerticalCenter);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region ヘッダーダブルクリック
+        /// <summary>
+        /// ヘッダーダブルクリック
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvProcess_ColumnHeaderMouseDoubleClick(object sender, DataGridViewCellMouseEventArgs e)
+        {
+            FrmSecurityPerson frm = new FrmSecurityPerson();
+            try
+            {
+                dgvProcess.CurrentCell = dgvProcess[e.ColumnIndex, 0];
+                int DataColCnt = CalcDataCount();
+                if (DataColCnt < 0) return;
+
+                frm.secRec = m_SecMasterList[DataColCnt];
+                frm.ShowDialog();
+
+                if (frm.EndButton == System.Windows.Forms.DialogResult.Cancel) return;
+
+                // グリッドデータ表示
+                DispSecurityGridData();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
+        #region カレント行全チェックON
+        /// <summary>
+        /// カレント行全チェックON
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnAllOn_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                DataGridView dgv = dgvProcess;
+                DataGridViewCell CurCell = dgv.CurrentCell;
+                // カレントカラムがチェックボックス以外は処理しない
+                if (CurCell.ColumnIndex <= (int)GridColumn.SecName) return;
+
+                // データ編集チェックボックスがONの時は処理起動もONにする
+                bool bTwoCheck = false;
+                if ((CurCell.ColumnIndex % 2) == 0) bTwoCheck = true;
+
+                int CurColumn = CurCell.ColumnIndex;
+                foreach (DataGridViewRow CurRow in dgvProcess.Rows)
+                {
+                    CurRow.Cells[CurColumn].Value = true;
+                    if (bTwoCheck) CurRow.Cells[CurColumn - 1].Value = true;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region カレント行全チェックOFF
+        /// <summary>
+        /// カレント行全チェックOFF
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnAllOff_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                DataGridView dgv = dgvProcess;
+                DataGridViewCell CurCell = dgv.CurrentCell;
+                // カレントカラムがチェックボックス以外は処理しない
+                if (CurCell.ColumnIndex <= (int)GridColumn.SecName) return;
+
+                // 処理起動チェックボックスがOFFの時はデータ参照もOFFにする
+                bool bTwoCheck = false;
+                if ((CurCell.ColumnIndex % 2) != 0) bTwoCheck = true;
+
+                int CurColumn = CurCell.ColumnIndex;
+                foreach (DataGridViewRow CurRow in dgvProcess.Rows)
+                {
+                    CurRow.Cells[CurColumn].Value = false;
+                    if (bTwoCheck) CurRow.Cells[CurColumn + 1].Value = false;
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region セキュリティ区分列左移動
+        /// <summary>
+        /// セキュリティ区分左移動
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDispLeft_Click(object sender, EventArgs e)
+        {
+            GridColumnLeftAction();
+
+            // 変更フラグON
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region セキュリティ区分列右移動
+        /// <summary>
+        /// セキュリティ区分右移動
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnDispRight_Click(object sender, EventArgs e)
+        {
+            GridColumnRightAction();
+
+            // 変更フラグON
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        #region チェックボックスクリック時の処理
+        /// <summary>
+        /// チェックボックスクリック時の処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvProcess_CellContentClick(object sender, DataGridViewCellEventArgs e)
+        {
+            try
+            {
+                DataGridView dgv = (DataGridView)sender;
+                DataGridViewCell CurCell = dgv.CurrentCell;
+                DataGridViewRow CurRow = dgv.CurrentRow;
+
+                dgv.EndEdit();
+                // カレントカラムがチェックボックス以外は処理しない
+                if (CurCell.RowIndex < 0) return;
+                if (CurCell.ColumnIndex <= (int)GridColumn.SecName) return;
+
+                // 固定項目カラム取得
+                int FixColCnt = Enum.GetNames(typeof(GridColumn)).Length;
+                int ColCnt = CurCell.ColumnIndex;
+                if (ColCnt < 0) return;
+
+                // 特別権限のチェック
+                int mstCnt = ColCnt - FixColCnt;
+                mstCnt = CommonMotions.cnvTruncate(mstCnt / 2);
+                bool Topsec = false;
+                int SAccKey = (int)CommonDefine.SecurityRankPos.SpecialAuthority;   // 経営者アクセス
+                if (m_SecMasterList[mstCnt].SecRank == CommonDefine.SecurityRankList[SAccKey].Key) Topsec = true;
+
+                bool bBool = (bool)CurRow.Cells[ColCnt].Value;
+                // 処理起動チェックがOFFの時は編集チェックもOFFにする
+                if ((ColCnt % 2) != 0)
+                {   // 起動区分
+                    if (!bBool)
+                    {
+                        CurRow.Cells[ColCnt + 1].Value = false;
+                    }
+                    else
+                    {
+                        if (Topsec) CurRow.Cells[ColCnt + 1].Value = true;
+                    }
+                }
+                else if ((ColCnt % 2) == 0)
+                {   // 編集区分
+                    if (bBool)
+                    {
+                        CurRow.Cells[ColCnt - 1].Value = true;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region セルの値変更
+        /// <summary>
+        /// セルの値変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvProcess_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        {
+            m_bChengeAns = true;
+        }
+        #endregion
+
+        // セル選択行
+        int m_BeforeGridRow = -1;
+        #region グリッドの選択変更
+        /// <summary>
+        /// グリッドの選択変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvProcess_SelectionChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                DataGridView dgv = dgvProcess;
+                // 行選択色を元に戻す
+                if (m_BeforeGridRow != -1) DefaultRowChangeColor(m_BeforeGridRow);
+
+                // 選択行数を退避
+                m_BeforeGridRow = dgv.CurrentRow.Index;
+                // 行選択色を設定
+                SelectRowChangeColor(m_BeforeGridRow);
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region フォームサイズチェンジ
+        /// <summary>
+        /// フォームサイズチェンジ
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmSecurity_SizeChanged(object sender, EventArgs e)
+        {
+
+        }
+        #endregion
+    }
+}
\ No newline at end of file
